gnutls_session_get_server_random(3)

NAME
gnutls_session_get_server_random - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const void * gnutls_session_get_server_random(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
Return a pointer to the 32-byte server random field used in the session. The pointer must not be modified or deallocated. If a server random value has not yet been established, the output will be garbage; in particular, a NULL return value should not be expected.

RETURNS
pointer to server random data.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.